net.sf.jasperreports.export

## Class SimpleCsvReportConfiguration

- java.lang.Object
- - net.sf.jasperreports.export.SimpleCommonExportConfiguration
  - - net.sf.jasperreports.export.SimpleReportExportConfiguration
    - - net.sf.jasperreports.export.SimpleCsvReportConfiguration

- All Implemented Interfaces:
    CommonExportConfiguration, CsvReportConfiguration, ReportExportConfiguration
  Direct Known Subclasses:
    SimpleCsvMetadataReportConfiguration

      public class SimpleCsvReportConfiguration
      extends SimpleReportExportConfiguration
      implements CsvReportConfiguration

  Version:
    $Id: SimpleCsvExporterConfiguration.java 6720 2013-11-11 10:44:07Z teodord $
  Author:
    Teodor Danciu (teodord@users.sourceforge.net)

- - ### Field Summary

    - ### Fields inherited from interface net.sf.jasperreports.export.ReportExportConfiguration

      `PROPERTY_IGNORE_PAGE_MARGINS`

    - ### Fields inherited from interface net.sf.jasperreports.export.CommonExportConfiguration

      `PROPERTY_EXPORT_CONFIGURATION_OVERRIDE_REPORT_HINTS`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SimpleCsvReportConfiguration()`

  - ### Method Summary

    - ### Methods inherited from class net.sf.jasperreports.export.SimpleReportExportConfiguration

      `getEndPageIndex, getExporterFilter, getHyperlinkProducerFactory, getOffsetX, getOffsetY, getPageIndex, getProgressMonitor, getStartPageIndex, setEndPageIndex, setExporterFilter, setHyperlinkProducerFactory, setOffsetX, setOffsetY, setPageIndex, setProgressMonitor, setStartPageIndex`

    - ### Methods inherited from class net.sf.jasperreports.export.SimpleCommonExportConfiguration

      `isOverrideHints, setOverrideHints`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface net.sf.jasperreports.export.ReportExportConfiguration

      `getEndPageIndex, getExporterFilter, getHyperlinkProducerFactory, getOffsetX, getOffsetY, getPageIndex, getProgressMonitor, getStartPageIndex`

    - ### Methods inherited from interface net.sf.jasperreports.export.CommonExportConfiguration

      `isOverrideHints`

- - ### Constructor Detail

    - #### SimpleCsvReportConfiguration

          public SimpleCsvReportConfiguration()

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com